/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_

#include "shader.h"

using namespace std;


/**
 * standard constructor
*/
Shader::Shader (SHADER_TYPE type, ...)
{
   this->setClassID(CL_SHADER, "Shader");

   this->fragmentShaderFile = NULL;
   this->vertexShaderFile = NULL;
   this->fragmentShaderSource = NULL;
   this->vertexShaderSource = NULL;
   this->shaderProgram = 0;
   this->vertexShader = 0;
   this->fragmentShader = 0;
}


/**
 * standard deconstructor
*/
Shader::~Shader ()
{
  // delete what has to be deleted here
  delete[] this->fragmentShaderFile;
  delete[] this->vertexShaderFile;
  delete[] this->fragmentShaderSource;
  delete[] this->vertexShaderSource;

  // DELETE THE PROGRAMS
/*  this->shaderProgram = 0;
  this->vertexShader = 0;
  this->fragmentShader = 0;*/
}


bool Shader::loadShaderProgramm(SHADER_TYPE type, const char* fileName)
{
  if (type != SHADER_VERTEX || type != SHADER_FRAGMENT)
    return false;


}

bool Shader::activateShader()
{

}
